<h2>Inventory</h2>

<div class="inventory-btn-wrapper">
  <button class="btn btn-success btn-md" (click)="openModal(inventoryTemplate)">Add Unit</button>
</div>

<div class="inventory-statuses-wrapper">
  <h6>Inventory Statuses</h6>
  <div class="inventory-statuses-grid">
    <div class="inventory-status" *ngFor="let inventoryStatus of inventoryStatuses">
      <span class="inventory-status__value">{{inventoryStatus.value}}</span>
      <h6 class="inventory-status__title">{{inventoryStatus.title}}</h6>
    </div>
  </div>
</div>

<h6>Inventory Details</h6>
<div class="inventory-details-wrapper">
  <div class="row">
    <div class="form-group col-md-4"><input type="text" id="filter" class="form-control" placeholder="Search Units" (keyup)="onFilter($event.target.value)"></div>
  </div>
  <table class="table-scroll">
    <thead>
      <tr>
        <th>Unit Id</th>
        <th>Component Id</th>
        <th>Volume</th>
        <th>Created on</th>
        <th>Expire on</th>
        <th>Inventory Type</th>
        <th>Status</th>
        <th>Reason</th>
        <th>Dornor</th>
        <th>Received From</th>
        <th>Received For</th>
        <th>Actions</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let inventory of inventoryList">
        <td title="{{inventory?.unitId}}">{{inventory?.unitId}}</td>
        <td title="{{inventory?.componentId}}">{{inventory?.componentId}}</td>
        <td title="{{inventory?.volume}}">{{inventory?.volume}}</td>
        <td title="{{inventory?.createdOn}}">{{inventory?.createdOn}}</td>
        <td title="{{inventory?.expireOn}}">{{inventory?.expireOn}}</td>
        <td title="{{inventory?.inventoryType}}">{{inventory?.inventoryType}}</td>
        <td title="{{inventory?.status}}">{{inventory?.status}}</td>
        <td title="{{inventory?.reason}}">{{inventory?.reason}}</td>
        <td title="{{inventory?.dornor}}">{{inventory?.dornor}}</td>
        <td title="{{inventory?.recievedFrom}}">{{inventory?.recievedFrom}}</td>
        <td title="{{inventory?.receivedFor}}">{{inventory?.receivedFor}}</td>
        <td>
          <button class="btn btn-sm btn-outline-success btn--view" title="View"
          (click)="edit(inventory,inventoryTemplate)"><span class="material-icons">
              visibility
              </span></button>
            <button class="btn btn-sm btn-outline-primary btn--edit" title="Edit"
            (click)="edit(inventory,inventoryTemplate)"><span class="material-icons">
              create
              </span></button>
          <button class="btn btn-sm btn-outline-danger btn--delete" title="Delete" (click)="delete(inventory?.unitId)"><span class="material-icons">
            delete
            </span></button>
        </td>
      </tr>
    </tbody>
  </table>
</div>

<ng-template #inventoryTemplate>
  <form #form="ngForm" (submit)="submit(form)" autocomplete="off">
    <div class="modal-header">
      <h4 class="modal-title pull-left">Add Inventory</h4>
      <button type="button" class="close pull-right" aria-label="Close" (click)="modalRef.hide()">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
      <div class="row">
        <input type="hidden" name="unitId" id="unitId" #unitId="ngModel" class="form-control"
          [(ngModel)]="formData.unitId">
        <div class="col-md-3">
          <div class="form-group">
            <label class="required" for="ComponentId">Component</label>
            <select name="componentId" id="componentId" #componentId="ngModel" class="form-control"
              [(ngModel)]="formData.componentId" required>
              <option>Component 1</option>
              <option>Component 2</option>
              <option>Component 3</option>
            </select>
            <div class="validation-error" *ngIf="componentId.invalid && componentId.touched">Component is required.
            </div>
          </div>
        </div>
        <div class="col-md-3">
          <div class="form-group">
            <label class="required" for="volume">Volume</label>
            <input name="volume" id="volume" #volume="ngModel" class="form-control" [(ngModel)]="formData.volume">
          </div>
        </div>
        <div class="col-md-3">
          <div class="form-group">
            <label for="createdOn">Created On</label>
            <input type="date" name="createdOn" id="createdOn" #createdOn="ngModel" class="form-control"
              [(ngModel)]="formData.createdOn" (change)="monthAutoMapper($event.target.value)">
          </div>
        </div>
        <div class="col-md-3">
          <div class="form-group">
            <label for="expireOn">Expire On</label>
            <input disabled type="text" name="expireOn" id="expireOn" #expireOn="ngModel" class="form-control"
              [(ngModel)]="formData.expireOn">
          </div>
        </div>
        <div class="col-md-3">
          <div class="form-group">
            <label class="required" for="inventoryType">Inventory Type</label>
            <select name="inventoryType" id="inventoryType" #inventoryType="ngModel" class="form-control"
              [(ngModel)]="formData.inventoryType" required>
              <option>Inventory Type 1</option>
              <option>Inventory Type 2</option>
              <option>Inventory Type 3</option>
            </select>
          </div>
        </div>
        <div class="col-md-3">
          <div class="form-group">
            <label for="status">Status</label>
            <select name="status" id="status" required #status="ngModel" class="form-control" [(ngModel)]="formData.status">
              <option>Hold</option>
              <option>Available</option>
              <option>Assigned</option>
              <option>Quarantine</option>
              <option>Expired</option>
              <option>Discarded</option>
            </select>
            <div class="validation-error" *ngIf="status.invalid && status.touched">status id is required.</div>
          </div>
        </div>
        <div class="col-md-6">
          <div class="form-group">
            <label for="reason">Reason</label>
            <input type="text" name="reason" id="reason" #reason="ngModel" class="form-control"
              [(ngModel)]="formData.reason">
          </div>
        </div>
        <div class="col-md-3">
          <div class="form-group">
            <label class="required" for="Status">Donation Id</label>
            <select required name="Donation" id="Donation" #Donation="ngModel" class="form-control"
              [(ngModel)]="formData.Donation" (change)="donationOnchange($event.target.value)">
              <option *ngFor="let donation of donationList" [value]="donation?.donationId">
                {{donation?.donationId}}</option>
            </select>
            <div class="validation-error" *ngIf="Donation.invalid && Donation.touched">Donation id is required.</div>
          </div>
        </div>
        <div class="col-md-3">
          <div class="form-group">
            <label for="dornor">Donor</label>
            <input disabled type="text" name="dornor" id="dornor" #dornor="ngModel" class="form-control"
              [(ngModel)]="formData.dornor">
          </div>
        </div>
        <div class="col-md-3">
          <div class="form-group">
            <label for="recievedFrom">Recieved From</label>
            <input type="text" name="recievedFrom" id="recievedFrom" #recievedFrom="ngModel" class="form-control"
              [(ngModel)]="formData.recievedFrom">
          </div>
        </div>
        <div class="col-md-3">
          <div class="form-group">
            <label for="receivedFor">received For</label>
            <input type="text" name="receivedFor" id="receivedFor" #dornor="ngModel" class="form-control"
              [(ngModel)]="formData.receivedFor">
          </div>
        </div>
      </div>
    </div>
    <div class="modal-footer">
      <button type="submit" class="btn btn-success" [disabled]="form.invalid">Submit</button>
    </div>
  </form>
</ng-template>